Problème lors de la création d'une nouvelle zone

Bonjour,

Système qui accueille Gladys :
Serveur Debian Stretch

Version de nodejs :
v8.16.0

Version de npm :
6.4.1

Version de Gladys :
3.14.0

Détail de ce que vous souhaitez ou souhaitiez faire :
*J’ai réinstaller Gladys pour mettre à jour vers la dernière version mais je n’arrive plus à créer de zone dans la vue “Plans”. Quand je clique sur “Ok” dans la fenêtre qui s’affiche pour la création de zone. j’ai un message d’erreur
image

Quand je regarde dans la console du navigateur j’ai une erreur 400 Bad Request.

*

Détail de ce que vous avez fait pour arriver là où vous en êtes et ce de ce que vous avez tenté de faire pour résoudre votre problème :
J’ai essayé de refaire un node init.js et relancé yarn mais le problème est toujours présent j’ai même completément réinstallé Gladys et la base de données mais j’ai toujours cette erreur

Et l’indispensable aperçu de vos logs !
A part cette erreur je ne vois rien d’autre dans les logs

    0|gladys   | Error: NotFound
    0|gladys   |     at /root/Gladys/api/core/utils/utils.sqlUnique.js:11:31
    0|gladys   |     at tryCatcher (/root/Gladys/node_modules/bluebird/js/release/util.js:16:23)
    0|gladys   |     at Promise._settlePromiseFromHandler (/root/Gladys/node_modules/bluebird/js/release/promise.js:512:31)
    0|gladys   |     at Promise._settlePromise (/root/Gladys/node_modules/bluebird/js/release/promise.js:569:18)
    0|gladys   |     at Promise._settlePromise0 (/root/Gladys/node_modules/bluebird/js/release/promise.js:614:10)
    0|gladys   |     at Promise._settlePromises (/root/Gladys/node_modules/bluebird/js/release/promise.js:693:18)
    0|gladys   |     at Promise._fulfill (/root/Gladys/node_modules/bluebird/js/release/promise.js:638:18)
    0|gladys   |     at /root/Gladys/node_modules/bluebird/js/release/nodeback.js:42:21
    0|gladys   |     at /root/Gladys/node_modules/sails-mysql/lib/connections/spawn.js:120:16
    0|gladys   |     at Object.poolfully [as releaseConnection] (/root/Gladys/node_modules/sails-mysql/lib/connections/release.js:28:12)
    0|gladys   |     at Query._callback (/root/Gladys/node_modules/sails-mysql/lib/connections/spawn.js:105:35)
    0|gladys   |     at Query.Sequence.end (/root/Gladys/node_modules/mysql/lib/protocol/sequences/Sequence.js:96:24)
    0|gladys   |     at Query._handleFinalResultPacket (/root/Gladys/node_modules/mysql/lib/protocol/sequences/Query.js:144:8)
    0|gladys   |     at Query.EofPacket (/root/Gladys/node_modules/mysql/lib/protocol/sequences/Query.js:128:8)
    0|gladys   |     at Protocol._parsePacket (/root/Gladys/node_modules/mysql/lib/protocol/Protocol.js:280:23)
    0|gladys   |     at Parser.write (/root/Gladys/node_modules/mysql/lib/protocol/Parser.js:73:12)
    0|gladys   |     at Protocol.write (/root/Gladys/node_modules/mysql/lib/protocol/Protocol.js:39:16)
    0|gladys   |     at Socket.<anonymous> (/root/Gladys/node_modules/mysql/lib/Connection.js:96:28)
    0|gladys   |     at emitOne (events.js:116:13)
    0|gladys   |     at Socket.emit (events.js:211:7)
    0|gladys   |     at addChunk (_stream_readable.js:263:12)
    0|gladys   |     at readableAddChunk (_stream_readable.js:250:11)

Merci d’avance

Salut, il faut bien configurer les paramètres de Gladys notamment la partie logement et la machine qui exécute Gladys

J’ai regardé dans les paramètres mon logement est bien configuré avec latitude et longitude, j’ai juste du configurer les machines qui exécutent Gladys. Je n’ai plus l’erreur dans le log mais toujours impossible de créer une zone. Toujours le message d’erreur “Une erreur inconnue est arrivée…” et le 400 Bad Request dans la console de mon navigateur. Je vais essayer de faire une installation avec l’image sur un Raspberry pi.

EDIT: Je viens d’essayer avec une installation neuve à partir de l’image sur un Raspberry Pi mis à jour vers la dernière version et j’ai exactement le même problème.

Fait une capture d’écran de ta page paramètre stp

Paramètres avec maison et pièces

Paramètres des machines qui exécutent Gladys

Finalement j’ai réinstallé une ancienne version pour le moment. Cette erreur est vraiment bizarre.